AttachmentOutInterceptor (Apache CXF JavaDoc 4.2.1 API)
Description: declaration: package: org.apache.cxf.interceptor, class: AttachmentOutInterceptor

Package org.apache.cxf.interceptor

# Class AttachmentOutInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.AttachmentOutInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class AttachmentOutInterceptor extends AbstractPhaseInterceptor<Message>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `AttachmentOutInterceptor.AttachmentOutEndingInterceptor`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTACHMENT_OUT_CHECKED`
  `static final String`
  `WRITE_ATTACHMENTS`
  `static final String`
  `WRITE_OPTIONAL_TYPE_PARAMETERS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttachmentOutInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getMultipartType()`
  `protected Map<String,List<String>>`
  `getRootHeaders()`
  `void`
  `handleMessage(Message message)`
  Intercepts a message.
  `protected boolean`
  `writeOptionalTypeParameters()`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WRITE_ATTACHMENTS

    public static final String WRITE_ATTACHMENTS
    See Also:
      - Constant Field Values

  - ### ATTACHMENT_OUT_CHECKED

    public static final String ATTACHMENT_OUT_CHECKED
    See Also:
      - Constant Field Values

  - ### WRITE_OPTIONAL_TYPE_PARAMETERS

    public static final String WRITE_OPTIONAL_TYPE_PARAMETERS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttachmentOutInterceptor

    public AttachmentOutInterceptor()

- ## Method Details

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.
    Parameters:
      `message` -

  - ### getMultipartType

    protected String getMultipartType()

  - ### writeOptionalTypeParameters

    protected boolean writeOptionalTypeParameters()

  - ### getRootHeaders

    protected Map<String,List<String>> getRootHeaders()